# norootforbuild

Name:           ldns
Version:        1.6.10
Release:        8.1
#
Group:          Development/Libraries/C and C++
License:        BSD
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  openssl-devel libpcap-devel
BuildRequires:  python-devel swig
BuildRequires:  doxygen
%if 0%{?suse_version} > 1020
BuildRequires:  fdupes
%endif
#
Url:            http://www.nlnetlabs.nl/projects/ldns/
Source:         http://www.nlnetlabs.nl/downloads/ldns/ldns-%{version}.tar.gz
#
Summary:        A dns library
%description
The goal of ldns is to simplify DNS programming, it supports recent RFCs like
the DNSSEC documents, and allows developers to easily create software
conforming to current RFCs, and experimental software for current Internet
Drafts. A secondary benefit of using ldns is speed; ldns is written in C it
should be a lot faster than Perl.

This package holds the tools/examples from ldns.

%package -n libldns1
Group:          Productivity/Networking/DNS/Servers
#
Summary:        Tools from ldns
%description -n libldns1
The goal of ldns is to simplify DNS programming, it supports recent RFCs like
the DNSSEC documents, and allows developers to easily create software
conforming to current RFCs, and experimental software for current Internet
Drafts. A secondary benefit of using ldns is speed; ldns is written in C it
should be a lot faster than Perl.


%package devel
Group:          Development/Libraries/C and C++
Requires:       libldns1 = %{version}
Requires:	openssl-devel libpcap-devel
#
Summary:        Development files for ldns
%description devel
The goal of ldns is to simplify DNS programming, it supports recent RFCs like
the DNSSEC documents, and allows developers to easily create software
conforming to current RFCs, and experimental software for current Internet
Drafts. A secondary benefit of using ldns is speed; ldns is written in C it
should be a lot faster than Perl.


This package holds the development files.

%package -n python-ldns
Summary:        Python bindings for ldns
Group:          Productivity/Networking/DNS/Servers
# doesn't use symbol versioning
Requires:       libldns1 >= %version

%description -n python-ldns
Python bindings for ldns library

%prep
%setup -q

%build
%configure --disable-rpath --disable-static --with-pyldns --disable-gost
%{__make} %{?_smp_mflags}
pushd drill
%configure --disable-rpath --disable-static
%{__make} %{?_smp_mflags}
popd
pushd examples
%configure --disable-rpath --disable-static --disable-gost
%{__make} %{?_smp_mflags}
popd

%install
%__make DESTDIR=%{buildroot} install
%__make DESTDIR=%{buildroot} install -C examples
%__make DESTDIR=%{buildroot} install -C drill
%{__rm} -v %{buildroot}%{_libdir}/libldns.*a
%{__rm} -rv doc/doxyparse.pl doc/man/
#
%if 0%{?suse_version} > 1020
%fdupes %buildroot%_mandir
%endif

%clean
%{__rm} -rf %{buildroot}

%post -n libldns1 -p /sbin/ldconfig
%postun -n libldns1 -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/drill
%{_bindir}/ldns-chaos
%{_bindir}/ldns-compare-zones
%{_bindir}/ldns-dpa
%{_bindir}/ldns-gen-zone
%{_bindir}/ldns-key2ds
%{_bindir}/ldns-keyfetcher
%{_bindir}/ldns-keygen
%{_bindir}/ldns-mx
%{_bindir}/ldns-notify
%{_bindir}/ldns-nsec3-hash
%{_bindir}/ldns-read-zone
%{_bindir}/ldns-resolver
%{_bindir}/ldns-revoke
%{_bindir}/ldns-rrsig
%{_bindir}/ldns-signzone
%{_bindir}/ldns-test-edns
%{_bindir}/ldns-testns
%{_bindir}/ldns-update
%{_bindir}/ldns-verify-zone
%{_bindir}/ldns-version
%{_bindir}/ldns-walk
%{_bindir}/ldns-zcat
%{_bindir}/ldns-zsplit
%{_bindir}/ldnsd
%{_mandir}/man1/drill.1*
%{_mandir}/man1/ldns*.1*
%doc drill/ChangeLog.22-nov-2005 drill/README drill/REGRESSIONS

%files -n libldns1
%defattr(-,root,root,-)
%{_libdir}/libldns.so.1*

%files devel
%defattr(-,root,root,-)
%{_bindir}/ldns-config
%{_includedir}/ldns/
%{_libdir}/libldns.so
%{_mandir}/man3/ldns*.3*
%doc README* libdns.vim doc

%files -n python-ldns
%defattr(-,root,root)
%if 0%{?suse_version}
%{py_sitedir}/*
%else
%{python_sitelib}/*
%endif

%changelog
* Sun Aug  7 2011 cs@linux-administrator.com
- new version 1.6.10
* Wed May 25 2011 lnussel@suse.de
- new version 1.6.9
- enable python bindings, used by sshfp's dane tool
- merge with Factory version
* Mon Apr 27 2009 crrodriguez@suse.de
- initial version, required by unbound
* Wed May 21 2008 mrueckert@suse.de
- fix the rpmlint warnings
* Wed May 21 2008 mrueckert@suse.de
- update to 1.3.0.pre20080229 (taken from unbound-1.0.0 tarball)
  required version update to make it work with unbound
* Wed May 21 2008 mrueckert@suse.de
- initial package
